My Project: dgParallelSolverSyncData Class Reference

My Project

Classes | Public Member Functions | Public Attributes | List of all members
dgParallelSolverSyncData Class Reference

`#include <dgWorldDynamicUpdate.h>`

## Classes

class | JointsBashes

## Public Member Functions

| dgParallelSolverSyncData ()

## Public Attributes

dgVector | m_accelNorm [DG_MAX_THREADS_HIVE_COUNT]
dgFloat32 | m_timestep
dgFloat32 | m_invTimestep
dgFloat32 | m_invStepRK
dgFloat32 | m_timestepRK
dgFloat32 | m_invTimestepRK
dgFloat32 | m_firstPassCoef
dgInt32 | m_maxPasses
dgInt32 | m_bodyCount
dgInt32 | m_jointCount
dgInt32 | m_rowCount
dgInt32 | m_batchesCount
dgInt32 | m_atomicIndex
dgInt32 | m_jointsInBatch
dgInt32 | m_islandCount
dgInt32 | m_islandCountCounter
dgInt32 | m_jacobianMatrixRowAtomicIndex
const dgIsland * | m_islandArray
dgBody ** | m_bodyInfoMap
dgParallelJointMap * | m_jointInfoMap
JointsBashes | m_jointBatches [64]
dgInt32 | m_hasJointFeeback [DG_MAX_THREADS_HIVE_COUNT]

## Constructor & Destructor Documentation

## § dgParallelSolverSyncData()

dgParallelSolverSyncData::dgParallelSolverSyncData | ( |  | ) |

inline

## Member Data Documentation

## § m_accelNorm

dgVector dgParallelSolverSyncData::m_accelNorm[DG_MAX_THREADS_HIVE_COUNT]

## § m_atomicIndex

dgInt32 dgParallelSolverSyncData::m_atomicIndex

## § m_batchesCount

dgInt32 dgParallelSolverSyncData::m_batchesCount

## § m_bodyCount

dgInt32 dgParallelSolverSyncData::m_bodyCount

## § m_bodyInfoMap

dgBody** dgParallelSolverSyncData::m_bodyInfoMap

## § m_firstPassCoef

dgFloat32 dgParallelSolverSyncData::m_firstPassCoef

## § m_hasJointFeeback

dgInt32 dgParallelSolverSyncData::m_hasJointFeeback[DG_MAX_THREADS_HIVE_COUNT]

## § m_invStepRK

dgFloat32 dgParallelSolverSyncData::m_invStepRK

## § m_invTimestep

dgFloat32 dgParallelSolverSyncData::m_invTimestep

## § m_invTimestepRK

dgFloat32 dgParallelSolverSyncData::m_invTimestepRK

## § m_islandArray

const dgIsland* dgParallelSolverSyncData::m_islandArray

## § m_islandCount

dgInt32 dgParallelSolverSyncData::m_islandCount

## § m_islandCountCounter

dgInt32 dgParallelSolverSyncData::m_islandCountCounter

## § m_jacobianMatrixRowAtomicIndex

dgInt32 dgParallelSolverSyncData::m_jacobianMatrixRowAtomicIndex

## § m_jointBatches

JointsBashes dgParallelSolverSyncData::m_jointBatches[64]

## § m_jointCount

dgInt32 dgParallelSolverSyncData::m_jointCount

## § m_jointInfoMap

dgParallelJointMap* dgParallelSolverSyncData::m_jointInfoMap

## § m_jointsInBatch

dgInt32 dgParallelSolverSyncData::m_jointsInBatch

## § m_maxPasses

dgInt32 dgParallelSolverSyncData::m_maxPasses

## § m_rowCount

dgInt32 dgParallelSolverSyncData::m_rowCount

## § m_timestep

dgFloat32 dgParallelSolverSyncData::m_timestep

## § m_timestepRK

dgFloat32 dgParallelSolverSyncData::m_timestepRK

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/physics/dgWorldDynamicUpdate.h